# Uses of Class
org.apache.qpid.proton.amqp.messaging.Header

Packages that use Header
Package
Description
org.apache.qpid.proton
org.apache.qpid.proton.amqp.messaging
org.apache.qpid.proton.codec.messaging
org.apache.qpid.proton.message
org.apache.qpid.proton.message.impl

## Uses of Header in org.apache.qpid.proton

Methods in org.apache.qpid.proton with parameters of type Header
Modifier and Type
Method
Description
`static Message`
Proton.`message(Header header, DeliveryAnnotations deliveryAnnotations, MessageAnnotations messageAnnotations, Properties properties, ApplicationProperties applicationProperties, Section body, Footer footer)`

## Uses of Header in org.apache.qpid.proton.amqp.messaging

Constructors in org.apache.qpid.proton.amqp.messaging with parameters of type Header
Modifier
Constructor
Description
``
`Header(Header other)`

## Uses of Header in org.apache.qpid.proton.codec.messaging

Methods in org.apache.qpid.proton.codec.messaging that return Header
Modifier and Type
Method
Description
`Header`
HeaderType.`newInstance(Object described)`
`Header`
FastPathHeaderType.`readValue()`
Methods in org.apache.qpid.proton.codec.messaging that return types with arguments of type Header
Modifier and Type
Method
Description
`Collection<? extends TypeEncoding<Header>>`
FastPathHeaderType.`getAllEncodings()`
`TypeEncoding<Header>`
FastPathHeaderType.`getCanonicalEncoding()`
`TypeEncoding<Header>`
FastPathHeaderType.`getEncoding(Header header)`
`Class<Header>`
FastPathHeaderType.`getTypeClass()`
`Class<Header>`
HeaderType.`getTypeClass()`
Methods in org.apache.qpid.proton.codec.messaging with parameters of type Header
Modifier and Type
Method
Description
`TypeEncoding<Header>`
FastPathHeaderType.`getEncoding(Header header)`
`protected List`
HeaderType.`wrap(Header val)`
`void`
FastPathHeaderType.`write(Header value)`
Constructors in org.apache.qpid.proton.codec.messaging with parameters of type Header
Modifier
Constructor
Description
``
`HeaderWrapper(Header impl)`

## Uses of Header in org.apache.qpid.proton.message

Methods in org.apache.qpid.proton.message that return Header
Modifier and Type
Method
Description
`Header`
Message.`getHeader()`
Methods in org.apache.qpid.proton.message with parameters of type Header
Modifier and Type
Method
Description
`static Message`
Message.Factory.`create(Header header, DeliveryAnnotations deliveryAnnotations, MessageAnnotations messageAnnotations, Properties properties, ApplicationProperties applicationProperties, Section body, Footer footer)`
`void`
Message.`setHeader(Header header)`

## Uses of Header in org.apache.qpid.proton.message.impl

Methods in org.apache.qpid.proton.message.impl that return Header
Modifier and Type
Method
Description
`Header`
MessageImpl.`getHeader()`
Methods in org.apache.qpid.proton.message.impl with parameters of type Header
Modifier and Type
Method
Description
`void`
MessageImpl.`setHeader(Header header)`
Constructors in org.apache.qpid.proton.message.impl with parameters of type Header
Modifier
Constructor
Description
``
`MessageImpl(Header header, DeliveryAnnotations deliveryAnnotations, MessageAnnotations messageAnnotations, Properties properties, ApplicationProperties applicationProperties, Section body, Footer footer)`
Application code should instead use `Message.Factory.create(Header, DeliveryAnnotations, MessageAnnotations, Properties, ApplicationProperties, Section, Footer)`